%define	name	widelands
%define	version	b13
%define	release	%mkrel 1
%define	Summary	Settlers II clone

Epoch: 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://xoops.widelands.org/
Source0:	Widelands-Build13-src.tar.bz2
License:	GPLv2+
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	boost-devel SDL_image-devel SDL_net-devel SDL_ttf-devel SDL_mixer-devel
BuildRequires:  png-devel optipng pngrewrite ctags gettext-devel scons
BuildRequires:	SDL_gfx-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Widelands is inspired by Bluebyte's Settlers II and will someday be the
logical extension of this game although you do not need the original
game. Play it on Win/Linux against human & AI opponents.

%prep
%setup -q
sed -i 's#flagi#%{optflags}##' build/scons-tools/scons_configure.py

%build
scons	build=release \
	build_id=%{version}\
	install_prefix="%{_gamesdatadir}/%{name}"\
	bindir="%{_gamesbindir}/%{name}"\
	datadir="%{_gamesdatadir}/%{name}"\
	localedir="%{_datadir}/locale"
	
%install
%{__rm} -rf $RPM_BUILD_ROOT
scons	datadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}\
	bindir=$RPM_BUILD_ROOT%{_gamesbindir}\
	localedir=$RPM_BUILD_ROOT%{_datadir}/locale\
	build_id=%{version}\
	install


#icons
%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__install} -m644 pics/wl-ico-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 pics/wl-ico-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 pics/wl-ico-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png



mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Widelands
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%find_lang %{name} --all-name

%pre
# preparing system before update
cat << EOF | while read name; do rm -rf "%{_gamesdatadir}/%{name}/maps/${name}.wmf"; done
Checkmate
Mystical Maze
Comet Island
Plateau
Crater
Rendez-Vous
Dry Riverbed
Riverlands
Elven Forests
SConscript
Enemy in sight
Swamp Island
Finlakes
The big lake
Firegames
The Far North
Four Castles
The long way
Four Mountains
The Oasis Triangle
Glacier Lake
The pass through the mountains
Golden Peninsula
The Thaw
Impact
Three Warriors
Islands at war
Two frontiers
Lake of tranquility
War of the Valleys
Last Bastion
Wisent Valley
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(644,root,root,755)
%doc ChangeLog COPYING
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}




%changelog
* Thu Dec 04 2008 Emmanuel Andry <eandry@mandriva.org> 2:b13-1mdv2009.1
+ Revision: 310055
- Build 13 final

* Fri Nov 21 2008 Emmanuel Andry <eandry@mandriva.org> 2:b13-0.rc2.1mdv2009.1
+ Revision: 305538
- fix locale installation directory
- New version
- fix URL
- drop P0
- drop ggz BR
- drop perl provides
- update maps list

* Mon Jul 07 2008 Emmanuel Andry <eandry@mandriva.org> 2:b12-1mdv2009.0
+ Revision: 232510
- fix BR
- New version
- use fedora style license
- update P0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Emmanuel Andry <eandry@mandriva.org> 2:b11-3mdv2008.1
+ Revision: 116577
- enable ggz

* Sat Dec 08 2007 Emmanuel Andry <eandry@mandriva.org> 2:b11-1mdv2008.1
+ Revision: 116550
- New version
- drop patches
- sync some parts of spec file with fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jul 26 2007 Emmanuel Andry <eandry@mandriva.org> 2:b10-2mdv2008.0
+ Revision: 55974
- use genuine tarball
- drop debian menu
- add patches from sourceforge


* Tue Mar 20 2007 Emmanuel Andry <eandry@mandriva.org> b10-1mdv2007.1
+ Revision: 146923
- Final version

* Thu Mar 15 2007 Emmanuel Andry <eandry@mandriva.org> 2:b10-0.svn20070315.1mdv2007.1
+ Revision: 144496
- New snapshot (hopefully the last before final?\195)

* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 2:b10-0.svn20070302.1mdv2007.1
+ Revision: 130883
- New svn snapshot

* Sun Feb 18 2007 Emmanuel Andry <eandry@mandriva.org> 2:b10-0.svn20070217.1mdv2007.1
+ Revision: 122206
- New svn snapshot
- spec file optimizations

* Sat Feb 03 2007 Anssi Hannula <anssi@mandriva.org> 2:b10-0.svn20070121.3mdv2007.1
+ Revision: 116084
- do not obsolete itself

  + Emmanuel Andry <eandry@mandriva.org>
    - moving backward
    - rename cvs to try fixing upgrade

* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 2:b10-0.svn20070121.2mdv2007.1
+ Revision: 112759
- Epoch 2 to fix my mess again (sorry)
- bump release
- fix version number
- New svn snapshot

* Mon Jan 15 2007 Emmanuel Andry <eandry@mandriva.org> 1:b10.0.svn20070114-2mdv2007.1
+ Revision: 108981
- fix versionning (thanks to misc)
  use Epoch

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> svn20070114-1mdv2007.1
+ Revision: 108891
- New svn snapshot
  drop patch 0

* Sun Jan 07 2007 Emmanuel Andry <eandry@mandriva.org> svn20070107-2mdv2007.1
+ Revision: 105268
- buildrequires optipng, pngrewrite

* Sun Jan 07 2007 Emmanuel Andry <eandry@mandriva.org> svn20070107-1mdv2007.1
+ Revision: 105262
- New svn snapshot
  add patch from sourceforge to fix 64bits build
  buildrequires ctags, astyle

* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> svn20061210-2mdv2007.1
+ Revision: 104883
- rebuild

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> svn20061210-1mdv2007.1
+ Revision: 94570
- cleanup tarball
- New svn snapshot 20061210
- New svn snapshot, drop patch0
- bunzip2 patches
- Import widelands

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-6mdv2007.0
- fix icon name

* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-5mdv2007.0
- fix desktop file path

* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-4mdv2007.0
- rebuild because package disapeared from mirrors

* Wed Aug 09 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-3mdv2007.0
- added patch to fix localization (Thanks to Peter Schwanemann from Widelands Team)

* Mon Jul 31 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-2mdv2007.0
- added patch from sourceforge to avoid segfaulting
- enable localization
- spec optimizations
- applied official Widelands icons

* Wed Jul 26 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-1mdv2007.0
- new cvs version

* Tue Jul 18 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060717-1mdv2007.0
- new cvs version

* Mon Jul 17 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-5mdv2007.0
- fix xdg menu

* Sun Jul 16 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-4mdv2007.0
- Add obsolete and provides to ease upgrade
- add provides for perl modules (bug #23710)
- remove paragui-devel (only for devel purpose)

* Sat Jul 15 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-3mdv2007.0
- fix versionning

* Wed Jul 12 2006 Emmanuel Andry <eandry@mandriva.org> b9half.20060708-2mdv2007.0
- reupload

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> b9half.20060708-1mdv2007.0
- cvs version
- add buildrequires
- xdg compliant

* Tue Feb 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> b9half-1mdk
- from Emmanuel Andry <eandry@free.fr> :
	o fixed Source1 for rpmbuildupdate
	o new release
	o added BuildRequires SDL_mixer-devel and gettext-devel
	o %%{1}mdv2007.1

* Sat Mar 26 2005 Emmanuel Andry <eandry@free.fr> b9-2mdk
- cosmetics
- fixed missing menu icons

* Mon Mar 07 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b9-1mdk
- buildrequires
- from Emmanuel Andry <eandry@free.fr> :
	o b9

* Mon Aug 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b7-1mdk
- b7

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> b6-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

